#ifndef _IO_H
#define _IO_H

/**************************************************************************
 * Written by Marcin O'BenY Benka <obeny@obeny.net>
 * Version 1.4 (20091116)
 *
 * NOTE:
 *
 * Collection of basic I/O routines and definitions.
 **************************************************************************/


/***************************************************************************
 *	INCLUDES
 ***************************************************************************/

#include "global.h"


/***************************************************************************
 *	DEFINITIONS
 ***************************************************************************/

#define PORT_DIR_IN 0x00
#define PORT_DIR_OUT 0xFF
#define PORT_PULLUP_ACT 0xFF

#define PIN_DIR_IN false
#define PIN_DIR_OUT true
#define PIN_PULLUP_ACT true
#define PIN_PULLUP_NACT false


/***************************************************************************
 *	FUNCTIONS
 ***************************************************************************/

/* initialization of I/O ports */
/* -----------------------------------------------------------------------
    RETURN VAL  : NONE
    ARGS        : NONE
 * ----------------------------------------------------------------------- */
void initIoPorts();


#endif /* _IO_H */
/* END */
