#ifndef _MAIN_H
#define _MAIN_H

/**************************************************************************
 * Written by Marcin O'BenY Benka <obeny@obeny.net>
 * Version 1.0 (20091116)
 *
 * NOTE:
 *
 * Program entry point and related functions.
 **************************************************************************/

/***************************************************************************
 *	FUNCTIONS
 ***************************************************************************/

/* initialize microcontroller */
/* -----------------------------------------------------------------------
    RETURN VAL  : NONE
    ARGS        : NONE
 * ----------------------------------------------------------------------- */
void init();

/* executed on each mail loop pass */
/* -----------------------------------------------------------------------
    RETURN VAL  : NONE
    ARGS        : NONE
 * ----------------------------------------------------------------------- */
void exec();

/* executed once a second */
/* -----------------------------------------------------------------------
    RETURN VAL  : NONE
    ARGS        : NONE
 * ----------------------------------------------------------------------- */
void exec1();

/* executed each 1/10 of second */
/* -----------------------------------------------------------------------
    RETURN VAL  : NONE
    ARGS        : NONE
 * ----------------------------------------------------------------------- */
void exec10();

/* executed each 1/100 of second */
/* -----------------------------------------------------------------------
    RETURN VAL  : NONE
    ARGS        : NONE
 * ----------------------------------------------------------------------- */
void exec100();


#endif /* _COMM_H */
/* END */
